import { axios } from '@/utils/request'

const api = {
  repairType: '/repairDeviceType'
}

export function getRepairTypeList (parameter) {
  return axios({
    url: api.repairType + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRepairType (parameter) {
  return axios({
    url: api.repairType + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRepairType (parameter) {
  return axios({
    url: api.repairType + '/remove',
    method: 'post',
    params: parameter
  })
}

export function selectUserListByType (parameter) {
  return axios({
    url: api.repairType + '/selectUserListByType',
    method: 'get'
  })
}

export const repairTypeExport = api.repairType + '/export'
